# M17UF2R1-AlsinaDomenechPol
 Roguelite


Player controller 

 w a s d: To move
 e : Interactive button
 space: dash
 click left: shoot where ur cursor is
 c: change weapon
 Reload of weapon its authomatic


Enemies
There are two diferent enemies 
one follows you. If he hits you will take damage and he will dissapear
the other enemie dosen't follow you but shoots where you are

Destroyable items
There are 3 types destroyable items. 3 different boxes

The enemies and items destroyable drop diferent items such weapons and coins to buy in the shop

If you die it will appear a HUD with your last 5 results, the best historical score and the score of the current run

Menu Scene with different options to level up or down the volume and it show the records of other runs you have done
The play button will transport you to the lobby scene

Lobby Scene
Big scenario where u can cange your cursor and you can consult the records scores and you level up your stats or your enemies
There's a cave enter when you press the interactive button you will start playing

GameScene
You have to get through rooms and kill the enemies
During the run one room will be a shop where you can buy weapons, restore heatlh and refill the ammo of all your weapons

There is a weapon that stuns the enemy for a short time (doesen't deal any type of damage) and a flamethrower
Also there are a two types of pistol, submachine, rifle, sniper and shotgun

The flamethrower can burn the boxes

You can pasue the game during the runs

To complete the game you have to complete 10 rooms

Each Scene have a different music and the enemies and player have a death sound also when you clear a room

GLHF

PS: diagram class is inside of the solution